<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      layout:decorate="~{layout}">
<head>
    <!-- Google Tag Manager -->
    <script>(function(w,d,s,l,i){w[l]=w[l]||[];w[l].push({'gtm.start':
            new Date().getTime(),event:'gtm.js'});var f=d.getElementsByTagName(s)[0],
        j=d.createElement(s),dl=l!='dataLayer'?'&l='+l:'';j.async=true;j.src=
        'https://www.googletagmanager.com/gtm.js?id='+i+dl;f.parentNode.insertBefore(j,f);
    })(window,document,'script','dataLayer','GTM-NLPDPX3');</script>
    <!-- End Google Tag Manager -->

    <meta charset="UTF-8">
    <title>Data Jadwal Test Karyawan</title>
</head>
<body>
<!-- Google Tag Manager (noscript) -->
<noscript><iframe src="https://www.googletagmanager.com/ns.html?id=GTM-NLPDPX3"
                  height="0" width="0" style="display:none;visibility:hidden"></iframe></noscript>
<!-- End Google Tag Manager (noscript) -->

<section layout:fragment="main" class="clearfix">

    <div class="row">
        <div class="col-md-12 col-sm-12 col-xs-12">
            <a th:href="@{/hasilTest/list}" class="btn btn-warning btn-sm fa fa-folder">&nbsp;Hasil Test</a>
            <div class="x_panel">
                <div class="x_title">
                    <h2>Jadwal Test Karyawan</h2>
                    <ul class="nav navbar-right panel_toolbox" role="tablist" >
                        <li style="float: right"><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                        </li>
                    </ul>
                    <div class="clearfix"></div>
                </div>


                <!-- Tab panes -->
                <div class="tab-content">
                    <div role="tabpanel" class="tab-pane fade in active">
                        <div class="x_content">
                            <div class="row clearfix">
                                <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                                    <div class="card">
                                        <div class="row clearfix">
                                            <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                                                <div class="card" >
                                                    <div class="body">
                                                        <form method="get">
                                                            <div class="col-md-3">
                                                                <div class="form-line">
                                                                    <label>Jenis Test</label>
                                                                    <select name="jenis" class="form-control">
                                                                        <option value=""></option>
                                                                        <option th:if="${jenis == null}" value="TPA">Raport</option>
                                                                        <option th:if="${jenis == null}" value="SMART_TEST">Smart Test</option>
                                                                        <option th:if="${jenis != null}" th:selected="${jenis == 'TPA'}" value="TPA">Raport</option>
                                                                        <option th:if="${jenis != null}" th:selected="${jenis == 'SMART_TEST'}" value="SMART_TEST">Smart Test</option>
                                                                    </select>
                                                                </div>
                                                            </div>
                                                            <div class="col-md-3">
                                                                <div class="form-line">
                                                                    <label>User Followup</label>
                                                                    <select name="user" class="form-control">
                                                                        <option value=""></option>
                                                                        <option th:if="${user == null}" th:each="ta : ${listFu}" th:value="${ta.id}" th:text="${ta.nama}">2023/2024</option>
                                                                        <option th:if="${user != null}" th:each="ta : ${listFu}" th:value="${ta.id}" th:text="${ta.nama}" th:selected="${ta.id == user}">2023/2024</option>
                                                                    </select>
                                                                </div>
                                                            </div>

                                                            <div class="col-md-3">
                                                                <div class="form-line">
                                                                    <label>Nama </label>
                                                                    <input type="text" name="nama"
                                                                           class="form-control" th:value="${nama}"
                                                                           placeholder="Cari Nama..." autofocus>
                                                                </div>
                                                            </div>
                                                            <div class="col-md-2 pull-left">
                                                                <div class="form-line">
                                                                    <br>
                                                                    <button class="btn btn-info" style="color: white;margin-top: 5px;" type="submit">Cari</button>
                                                                </div>
                                                            </div>
                                                        </form>
                                                        <span class="pull-right">Show <span sd:page-size-selector="javascript"></span> entries</span>
                                                        <hr>
                                                        <div class="row">
                                                            <div class="table-responsive">
                                                                <table class="table table-bordered table-striped table-hover">
                                                                    <thead>
                                                                    <tr>
                                                                        <th>No Registrasi</th>
                                                                        <th>Nama</th>
                                                                        <th>No Handphone</th>
                                                                        <th>Jenis Test</th>
                                                                        <th>Tanggal Test</th>
                                                                        <th>Program Studi</th>
                                                                        <th>Keterangan</th>
                                                                        <th>Status</th>
                                                                    </tr>
                                                                    </thead>
                                                                    <tbody>
                                                                    <tr th:each="p,row : ${daftarJadwal}" >
                                                                            <td>
                                                                                <a th:href="@{/hasilTest/form(id= ${p.id}, jdwl='jdwl')}"
                                                                                   class="btn btn-success btn-xs fa fa-pencil"
                                                                                   th:text="${'&nbsp'+p.pendaftar.nomorRegistrasi}">
                                                                                </a>
                                                                            </td>
                                                                            <td th:text="${p. pendaftar.leads.nama}">10-08-2017</td>
                                                                            <td th:text="${p. pendaftar.leads.noHp}">10-08-2017</td>
                                                                            <td th:if="${p.jenisTest == p.jenisTest.JPA}">
                                                                                <a th:href="@{/hasilTest/form(id= ${p.id}, jdwl='jdwl')}"
                                                                                   class="btn btn-warning btn-xs fa fa-pencil">
                                                                                    Raport
                                                                                </a>
                                                                            </td>
                                                                            <td th:if="${p.jenisTest == p.jenisTest.TPA}">
                                                                                <a th:href="@{/hasilTest/form(id= ${p.id}, jdwl='jdwl')}"
                                                                                   class="btn btn-warning btn-xs fa fa-pencil">
                                                                                    Raport
                                                                                </a>
                                                                            </td>
                                                                            <td th:if="${p.jenisTest == p.jenisTest.SMART_TEST && p.beasiswa == null}">
                                                                                <a th:href="@{/hasilTest/form(id= ${p.id}, jdwl='jdwl')}"
                                                                                   class="btn btn-warning btn-xs fa fa-pencil">
                                                                                    &nbsp; Smart Test
                                                                                </a>
                                                                            </td>
                                                                            <td th:if="${p.jenisTest == p.jenisTest.SMART_TEST && p.beasiswa != null}">
                                                                                <a th:href="@{/hasilTest/form(id= ${p.id}, jdwl='jdwl')}"
                                                                                   class="btn btn-warning btn-xs fa fa-pencil" th:text="${'&nbsp;'+p.beasiswa.nama}">
                                                                                </a>
                                                                            </td>
                                                                            <td th:text="${p. tanggalTest}">10-08-2017</td>
                                                                            <td th:text="${p. pendaftar.programStudi.nama+' - '+p. pendaftar.leads.jenjang}">10-08-2017</td>
                                                                            <td th:text="${p. pendaftar.status}">10-08-2017</td>
                                                                            <td>
                                                                                <a th:each="ht : ${cekHasilTest}"  type="button"
                                                                                   th:if="${ht.pendaftar == p.id && ht.status == 'Ada'}"
                                                                                   class="btn btn-info btn-xs">
                                                                                    <i class="fa fa-database"></i> Sudah Test
                                                                                </a>
                                                                                <a th:each="ht : ${cekHasilTest}"  type="button"
                                                                                   th:if="${ht.pendaftar == p.id && ht.status == 'Kosong'}"
                                                                                   class="btn btn-danger btn-xs">
                                                                                    <i class="fa fa-database"></i> Belum Test
                                                                                </a>
                                                                            </td>
                                                                    </tr>
                                                                    </tbody>
                                                                </table>
                                                            </div>
                                                        </div>
                                                        <div class="row">
                                                            <div class="col-sm-6">
                                                                <div sd:pagination-summary="">info</div>
                                                            </div>
                                                        </div>
                                                        <div class="row">
                                                            <div class="col-sm-8">
                                                                <nav class="pull-right">
                                                                    <ul class="pagination" sd:pagination="full">
                                                                        <!-- Pagination created by SpringDataDialect, this content is just for mockup -->
                                                                        <li class="disabled"><a href="#" aria-label="Previous"><span aria-hidden="true">&laquo;</span></a></li>
                                                                        <li class="active"><a href="#">1 <span class="sr-only">(current)</span></a></li>
                                                                    </ul>
                                                                </nav>
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <!--//table//-->
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

</section>

</body>
</html>